function [KE] = kinetic_energy_red(x)
% KINETIC_ENERGY_RED
%   [KE] = KINETIC_ENERGY_RED(X)  

%Eric Westervelt
%04-Mar-2003 10:28:48

modelP;

[nn,mm] = size(x);

if nn ~= 1 & mm ~= 1
  KE = (-MY3.*L4.*x(:,8).*x(:,7).*Lb1.^2.*sin(x(:,2)-x(:,1)-x(:,3))+ ...
       XX3.*x(:,6).*x(:,10).*Lb1.^2+1./2.*M1.*x(:,10).^2.*L3.^2.*Lb1.^2+ ...
       1./2.*M1.*L4.^2.*x(:,8).^2.*Lb1.^2+M3.*x(:,10).^2.*L4.^2.*Lb1.^2+ ...
       M3.*L4.^2.*x(:,8).^2.*Lb1.^2+M3.*x(:,10).^2.*L3.^2.*Lb1.^2+M3.* ...
       x(:,6).^2.*L4.^2.*Lb1.^2+M3.*x(:,6).^2.*L3.^2.*Lb1.^2+1./2.*M1.* ...
       x(:,10).^2.*L4.^2.*Lb1.^2+1./2.*M1.*x(:,6).^2.*L3.^2.*Lb1.^2+ ...
       1./2.*M1.*x(:,6).^2.*L4.^2.*Lb1.^2+2.*XXb.*x(:,6).*L4.^2.* ...
       x(:,10)+2.*XXb.*x(:,6).*L4.^2.*x(:,8)+2.*XXb.*x(:,8).^2.*L3.*L4+ ...
       2.*XXb.*x(:,8).*L4.^2.*x(:,10)+2.*XXb.*x(:,6).*L3.^2.*x(:,8)+2.* ...
       XXb.*x(:,6).^2.*L3.*L4+M4.*L4.*x(:,8).*x(:,10).*L3.*Lb1.^2.* ...
       cos(x(:,3))+1./2.*M4.*x(:,6).^2.*L3.^2.*Lb1.^2+1./2.*M4.*L3.^2.* ...
       x(:,7).^2.*Lb1.^2+M4.*x(:,10).^2.*L3.^2.*Lb1.^2+XX4.*x(:,9).* ...
       x(:,10).*Lb1.^2+XX4.*x(:,8).*x(:,10).*Lb1.^2+XX4.*x(:,6).* ...
       x(:,10).*Lb1.^2-MZ4.*L4.*x(:,8).^2.*Lb1.^2-MZ4.*L4.*x(:,6).^2.* ...
       Lb1.^2+M4.*L4.^2.*x(:,10).^2.*Lb1.^2+M4.*L4.^2.*x(:,8).^2.* ...
       Lb1.^2+M4.*L4.^2.*x(:,6).^2.*Lb1.^2+XX4.*x(:,6).*x(:,8).*Lb1.^2- ...
       MZ4.*L4.*x(:,10).^2.*Lb1.^2+XX3.*x(:,7).*x(:,10).*Lb1.^2-MZ3.* ...
       x(:,10).^2.*L3.*Lb1.^2-MZ3.*x(:,6).^2.*L3.*Lb1.^2+2.*XXw.* ...
       x(:,6).*L4.^2.*x(:,10)+2.*XXw.*x(:,6).*L4.^2.*x(:,8)+2.*XXw.* ...
       x(:,8).*L4.^2.*x(:,10)+2.*XXw.*x(:,6).*L3.^2.*x(:,8)+2.*XXw.* ...
       x(:,6).^2.*L3.*L4-MZ4.*L4.*x(:,8).*x(:,9).*Lb1.^2.*cos(x(:,2)+ ...
       x(:,4)-x(:,1)-x(:,3))+2.*XXc.*x(:,6).*L4.^2.*x(:,10)+2.*XXc.* ...
       x(:,6).*L4.^2.*x(:,8)+2.*XXc.*x(:,8).^2.*L3.*L4+2.*XXc.*x(:,8).* ...
       L4.^2.*x(:,10)+2.*XXc.*x(:,6).*L3.^2.*x(:,8)+2.*XXc.*x(:,6).^2.* ...
       L3.*L4+M4.*x(:,6).*L3.*L4.*x(:,8).*Lb1.^2.*cos(x(:,3))-MY4.*L4.* ...
       x(:,8).*x(:,7).*Lb1.^2.*sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))+ ...
       x(:,10).*MY1.*L4.*x(:,8).*Lb1.^2.*sin(x(:,1)+x(:,3))+M4.* ...
       x(:,6).^2.*L3.*L4.*Lb1.^2.*cos(x(:,3))-MY3.*x(:,10).*L3.*x(:,7).* ...
       Lb1.^2.*sin(x(:,2)-x(:,1))-MY3.*x(:,6).*L4.*x(:,7).*Lb1.^2.* ...
       sin(x(:,2)-x(:,1)-x(:,3))-MY3.*x(:,10).*L4.*x(:,7).*Lb1.^2.* ...
       sin(x(:,2)-x(:,1)-x(:,3))+MY1.*x(:,10).^2.*L3.*Lb1.^2.* ...
       sin(x(:,1))+MY4.*x(:,10).^2.*L3.*Lb1.^2.*sin(x(:,4))-MY4.*L4.* ...
       x(:,10).^2.*Lb1.^2.*sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))+MZ4.*L3.* ...
       x(:,7).^2.*Lb1.^2.*cos(x(:,4))-MY4.*L4.*x(:,8).*x(:,9).*Lb1.^2.* ...
       sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))+MY4.*L3.*x(:,7).*x(:,9).* ...
       Lb1.^2.*sin(x(:,4))+MZ4.*L3.*x(:,7).*x(:,9).*Lb1.^2.*cos(x(:,4))- ...
       MZ3.*L4.*x(:,8).*x(:,7).*Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))+MZ4.* ...
       x(:,10).^2.*L3.*Lb1.^2.*cos(x(:,4))-MZ4.*x(:,6).*L3.*x(:,7).* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1))-MY4.*L4.*x(:,10).*x(:,7).* ...
       Lb1.^2.*sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ3.*x(:,10).^2.*L4.* ...
       Lb1.^2.*cos(x(:,3))-MZ3.*x(:,10).*L3.*x(:,7).*Lb1.^2.*cos(x(:,2)- ...
       x(:,1))-MY4.*L4.*x(:,10).*x(:,9).*Lb1.^2.*sin(x(:,2)+x(:,4)- ...
       x(:,1)-x(:,3))-MY4.*x(:,10).*L3.*x(:,9).*Lb1.^2.*sin(x(:,2)+ ...
       x(:,4)-x(:,1))-MY4.*x(:,10).*L3.*x(:,7).*Lb1.^2.*sin(x(:,2)+ ...
       x(:,4)-x(:,1))-MY4.*L4.*x(:,6).*x(:,9).*Lb1.^2.*sin(x(:,2)+ ...
       x(:,4)-x(:,1)-x(:,3))-MZ3.*L4.*x(:,8).*x(:,10).*Lb1.^2.* ...
       cos(x(:,3))-MY4.*x(:,6).*L3.*x(:,7).*Lb1.^2.*sin(x(:,2)+x(:,4)- ...
       x(:,1))-MY4.*x(:,6).*L3.*x(:,9).*Lb1.^2.*sin(x(:,2)+x(:,4)- ...
       x(:,1))-M4.*L3.*x(:,7).*L4.*x(:,10).*Lb1.^2.*cos(x(:,2)-x(:,1)- ...
       x(:,3))+MY4.*L3.*x(:,7).^2.*Lb1.^2.*sin(x(:,4))+M1.*L4.*x(:,8).* ...
       x(:,10).*L3.*Lb1.^2.*cos(x(:,3))-MY4.*L4.*x(:,6).*x(:,7).* ...
       Lb1.^2.*sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))+MY3.*L4.*x(:,8).* ...
       x(:,10).*Lb1.^2.*sin(x(:,3))-MY4.*x(:,6).*L3.*x(:,10).*Lb1.^2.* ...
       sin(x(:,2)+x(:,4)-x(:,1))-MY4.*x(:,10).^2.*L3.*Lb1.^2.* ...
       sin(x(:,2)+x(:,4)-x(:,1))-MZ3.*x(:,6).*L4.*x(:,7).*Lb1.^2.* ...
       cos(x(:,2)-x(:,1)-x(:,3))+MY4.*x(:,10).*L3.*x(:,9).*Lb1.^2.* ...
       sin(x(:,4))-MY3.*x(:,6).*L3.*x(:,7).*Lb1.^2.*sin(x(:,2)-x(:,1))+ ...
       M1.*x(:,6).*L3.*L4.*x(:,8).*Lb1.^2.*cos(x(:,3))-MZ3.*x(:,10).^2.* ...
       L3.*Lb1.^2.*cos(x(:,2)-x(:,1))+M4.*x(:,10).^2.*L3.*L4.*Lb1.^2.* ...
       cos(x(:,3))-MY3.*x(:,6).*L4.*x(:,10).*Lb1.^2.*sin(x(:,2)-x(:,1)- ...
       x(:,3))-MZ4.*L4.*x(:,8).*x(:,7).*Lb1.^2.*cos(x(:,2)+x(:,4)- ...
       x(:,1)-x(:,3))-x(:,10).*MZ1.*x(:,6).*L4.*Lb1.^2.*cos(x(:,1)+ ...
       x(:,3))-MZ3.*x(:,6).*L4.*x(:,10).*Lb1.^2.*cos(x(:,2)-x(:,1)- ...
       x(:,3))-MZ3.*x(:,10).*L4.*x(:,7).*Lb1.^2.*cos(x(:,2)-x(:,1)- ...
       x(:,3))+4.*M3.*x(:,6).*L3.*x(:,10).*L4.*Lb1.^2.*cos(x(:,3))-MZ3.* ...
       x(:,6).*L3.*x(:,10).*Lb1.^2.*cos(x(:,2)-x(:,1))-MY4.*L4.*x(:,6).* ...
       x(:,10).*Lb1.^2.*sin(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ3.*x(:,6).* ...
       L3.*x(:,7).*Lb1.^2.*cos(x(:,2)-x(:,1))+MZ4.*x(:,10).*L3.*x(:,9).* ...
       Lb1.^2.*cos(x(:,4))-MZ3.*L4.*x(:,8).*x(:,10).*Lb1.^2.*cos(x(:,2)- ...
       x(:,1)-x(:,3))-MY3.*x(:,10).^2.*L4.*Lb1.^2.*sin(x(:,2)-x(:,1)- ...
       x(:,3))-MZ4.*x(:,6).*L3.*x(:,10).*Lb1.^2.*cos(x(:,2)+x(:,4)- ...
       x(:,1))-MZ3.*x(:,10).^2.*L4.*Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))+ ...
       2.*M1.*x(:,6).*L3.*x(:,10).*L4.*Lb1.^2.*cos(x(:,3))+2.*M3.* ...
       x(:,10).^2.*L3.*L4.*Lb1.^2.*cos(x(:,3))-MZ4.*L4.*x(:,6).* ...
       x(:,10).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))+2.*M3.*L4.* ...
       x(:,8).*x(:,10).*L3.*Lb1.^2.*cos(x(:,3))+2.*MY3.*x(:,6).*L4.* ...
       x(:,10).*Lb1.^2.*sin(x(:,3))-2.*MZ3.*x(:,6).*L4.*x(:,10).* ...
       Lb1.^2.*cos(x(:,3))-MZ3.*L4.*x(:,8).*x(:,6).*Lb1.^2.*cos(x(:,3))- ...
       M4.*L4.*x(:,8).*x(:,10).*L3.*Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))+ ...
       2.*M3.*x(:,6).*L3.*L4.*x(:,8).*Lb1.^2.*cos(x(:,3))-M4.*L4.* ...
       x(:,6).*L3.*x(:,7).*Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))-x(:,10).* ...
       MZ1.*x(:,6).*L3.*Lb1.^2.*cos(x(:,1))-M4.*x(:,10).^2.*L3.*L4.* ...
       Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))-M4.*L4.*x(:,6).*x(:,10).*L3.* ...
       Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))-M4.*x(:,10).^2.*L3.^2.*Lb1.^2.* ...
       cos(x(:,2)-x(:,1))-MZ3.*x(:,6).^2.*L4.*Lb1.^2.*cos(x(:,3))+2.* ...
       M3.*x(:,6).^2.*L3.*L4.*Lb1.^2.*cos(x(:,3))-MZ4.*L4.*x(:,6).* ...
       x(:,9).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))-x(:,10).*MZ1.* ...
       L4.*x(:,8).*Lb1.^2.*cos(x(:,1)+x(:,3))-MZ4.*x(:,6).*L3.*x(:,9).* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1))-M4.*L3.*x(:,7).*L4.*x(:,8).* ...
       Lb1.^2.*cos(x(:,2)-x(:,1)-x(:,3))-M4.*L3.^2.*x(:,7).*x(:,10).* ...
       Lb1.^2.*cos(x(:,2)-x(:,1))-MZ1.*x(:,10).^2.*L3.*Lb1.^2.* ...
       cos(x(:,1))-M4.*x(:,6).*L3.^2.*x(:,7).*Lb1.^2.*cos(x(:,2)- ...
       x(:,1))-MZ1.*x(:,10).^2.*L4.*Lb1.^2.*cos(x(:,1)+x(:,3))+2.*MZ4.* ...
       x(:,10).*L3.*x(:,7).*Lb1.^2.*cos(x(:,4))-MZ4.*x(:,10).*L3.* ...
       x(:,7).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1))-MZ4.*L4.*x(:,10).^2.* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ4.*L4.*x(:,10).* ...
       x(:,9).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ4.*L4.* ...
       x(:,8).*x(:,10).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ4.* ...
       L4.*x(:,10).*x(:,7).*Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))+2.* ...
       MY4.*x(:,10).*L3.*x(:,7).*Lb1.^2.*sin(x(:,4))+2.*M4.*L4.*x(:,6).* ...
       x(:,10).*L3.*Lb1.^2.*cos(x(:,3))-MZ4.*L4.*x(:,6).*x(:,7).* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1)-x(:,3))-MZ4.*x(:,10).^2.*L3.* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1))-MZ4.*x(:,10).*L3.*x(:,9).* ...
       Lb1.^2.*cos(x(:,2)+x(:,4)-x(:,1))+MY3.*L4.*x(:,8).*x(:,6).* ...
       Lb1.^2.*sin(x(:,3))+1./2.*XX1.*x(:,10).^2.*Lb1.^2+1./2.*XX3.* ...
       x(:,7).^2.*Lb1.^2+1./2.*XX4.*x(:,8).^2.*Lb1.^2+1./2.*XX4.* ...
       x(:,6).^2.*Lb1.^2+XXb.*x(:,8).^2.*L3.^2+2.*M3.*x(:,6).*L4.^2.* ...
       x(:,8).*Lb1.^2+M1.*x(:,6).*L4.^2.*x(:,8).*Lb1.^2+M1.*x(:,6).* ...
       L4.^2.*x(:,10).*Lb1.^2+M1.*L4.^2.*x(:,8).*x(:,10).*Lb1.^2+M1.* ...
       x(:,6).*L3.^2.*x(:,10).*Lb1.^2+2.*M3.*L4.^2.*x(:,8).*x(:,10).* ...
       Lb1.^2+XX4.*x(:,10).^2.*Lb1.^2-2.*MZ4.*L4.*x(:,6).*x(:,10).* ...
       Lb1.^2+2.*M3.*x(:,6).*L3.^2.*x(:,10).*Lb1.^2+2.*M4.*L4.^2.* ...
       x(:,8).*x(:,10).*Lb1.^2+2.*M4.*L4.^2.*x(:,6).*x(:,10).*Lb1.^2+2.* ...
       M4.*L4.^2.*x(:,6).*x(:,8).*Lb1.^2-2.*MZ4.*L4.*x(:,8).*x(:,10).* ...
       Lb1.^2+2.*M3.*x(:,6).*L4.^2.*x(:,10).*Lb1.^2+1./2.*IA3.* ...
       x(:,7).^2.*Lb1.^2+1./2.*IA4.*x(:,8).^2.*Lb1.^2-2.*MZ4.*L4.* ...
       x(:,6).*x(:,8).*Lb1.^2+XX4.*x(:,7).*x(:,10).*Lb1.^2+XXb.* ...
       x(:,8).^2.*L4.^2+1./2.*IA3.*x(:,6).^2.*Lb1.^2+XXb.*x(:,6).^2.* ...
       L4.^2+XXb.*x(:,6).^2.*L3.^2+XX4.*x(:,7).*x(:,9).*Lb1.^2+1./2.* ...
       XX4.*x(:,7).^2.*Lb1.^2+1./2.*XX3.*x(:,6).^2.*Lb1.^2-2.*MZ3.* ...
       x(:,6).*L3.*x(:,10).*Lb1.^2+M4.*L3.^2.*x(:,7).*x(:,10).*Lb1.^2+ ...
       1./2.*XX4.*x(:,9).^2.*Lb1.^2+4.*XXb.*x(:,6).*L3.*x(:,8).*L4+XXb.* ...
       L4.^2.*x(:,10).^2+2.*XXb.*x(:,8).*L3.*L4.*x(:,10)+2.*XXb.* ...
       x(:,6).*L3.*L4.*x(:,10)+M4.*x(:,6).*L3.^2.*x(:,10).*Lb1.^2+1./2.* ...
       IA4.*x(:,9).^2.*Lb1.^2+XX3.*x(:,10).^2.*Lb1.^2+4.*XXc.*x(:,6).* ...
       L3.*x(:,8).*L4+XXc.*L4.^2.*x(:,10).^2+XXc.*x(:,6).^2.*L3.^2+XXc.* ...
       x(:,6).^2.*L4.^2+XXc.*x(:,8).^2.*L4.^2+XXc.*x(:,8).^2.*L3.^2+2.* ...
       XXc.*x(:,8).*L3.*L4.*x(:,10)+2.*XXc.*x(:,6).*L3.*L4.*x(:,10)+ ...
       XXw.*x(:,6).^2.*L4.^2+XXw.*x(:,8).^2.*L4.^2+XXw.*x(:,8).^2.* ...
       L3.^2+2.*XXw.*x(:,8).^2.*L3.*L4+2.*XXw.*x(:,8).*L3.*L4.*x(:,10)+ ...
       2.*XXw.*x(:,6).*L3.*L4.*x(:,10)+4.*XXw.*x(:,6).*L3.*x(:,8).*L4+ ...
       XXw.*L4.^2.*x(:,10).^2+XXw.*x(:,6).^2.*L3.^2+M1.*x(:,6).^2.*L3.* ...
       L4.*Lb1.^2.*cos(x(:,3))-M4.*x(:,6).*L3.^2.*x(:,10).*Lb1.^2.* ...
       cos(x(:,2)-x(:,1))-MY3.*x(:,10).^2.*L3.*Lb1.^2.*sin(x(:,2)- ...
       x(:,1))+x(:,10).*MY1.*x(:,6).*L3.*Lb1.^2.*sin(x(:,1))+MY1.* ...
       x(:,10).^2.*L4.*Lb1.^2.*sin(x(:,1)+x(:,3))-MY3.*L4.*x(:,8).* ...
       x(:,10).*Lb1.^2.*sin(x(:,2)-x(:,1)-x(:,3))+x(:,10).*MY1.*x(:,6).* ...
       L4.*Lb1.^2.*sin(x(:,1)+x(:,3))+M1.*x(:,10).^2.*L3.*L4.*Lb1.^2.* ...
       cos(x(:,3))+MY3.*x(:,6).^2.*L4.*Lb1.^2.*sin(x(:,3))-MY3.*x(:,6).* ...
       L3.*x(:,10).*Lb1.^2.*sin(x(:,2)-x(:,1))+MY3.*x(:,10).^2.*L4.* ...
       Lb1.^2.*sin(x(:,3))-MY4.*L4.*x(:,8).*x(:,10).*Lb1.^2.*sin(x(:,2)+ ...
       x(:,4)-x(:,1)-x(:,3)))./Lb1.^2;
else
  KE = (-MY3*L4*x(8)*x(7)*Lb1^2*sin(x(2)-x(1)-x(3))+XX3*x(6)*x(10)* ...
       Lb1^2+1/2*M1*x(10)^2*L3^2*Lb1^2+1/2*M1*L4^2*x(8)^2*Lb1^2+M3* ...
       x(10)^2*L4^2*Lb1^2+M3*L4^2*x(8)^2*Lb1^2+M3*x(10)^2*L3^2*Lb1^2+M3* ...
       x(6)^2*L4^2*Lb1^2+M3*x(6)^2*L3^2*Lb1^2+1/2*M1*x(10)^2*L4^2*Lb1^2+ ...
       1/2*M1*x(6)^2*L3^2*Lb1^2+1/2*M1*x(6)^2*L4^2*Lb1^2+2*XXb*x(6)* ...
       L4^2*x(10)+2*XXb*x(6)*L4^2*x(8)+2*XXb*x(8)^2*L3*L4+2*XXb*x(8)* ...
       L4^2*x(10)+2*XXb*x(6)*L3^2*x(8)+2*XXb*x(6)^2*L3*L4+M4*L4*x(8)* ...
       x(10)*L3*Lb1^2*cos(x(3))+1/2*M4*x(6)^2*L3^2*Lb1^2+1/2*M4*L3^2* ...
       x(7)^2*Lb1^2+M4*x(10)^2*L3^2*Lb1^2+XX4*x(9)*x(10)*Lb1^2+XX4*x(8)* ...
       x(10)*Lb1^2+XX4*x(6)*x(10)*Lb1^2-MZ4*L4*x(8)^2*Lb1^2-MZ4*L4* ...
       x(6)^2*Lb1^2+M4*L4^2*x(10)^2*Lb1^2+M4*L4^2*x(8)^2*Lb1^2+M4*L4^2* ...
       x(6)^2*Lb1^2+XX4*x(6)*x(8)*Lb1^2-MZ4*L4*x(10)^2*Lb1^2+XX3*x(7)* ...
       x(10)*Lb1^2-MZ3*x(10)^2*L3*Lb1^2-MZ3*x(6)^2*L3*Lb1^2+2*XXw*x(6)* ...
       L4^2*x(10)+2*XXw*x(6)*L4^2*x(8)+2*XXw*x(8)*L4^2*x(10)+2*XXw*x(6)* ...
       L3^2*x(8)+2*XXw*x(6)^2*L3*L4-MZ4*L4*x(8)*x(9)*Lb1^2*cos(x(2)+ ...
       x(4)-x(1)-x(3))+2*XXc*x(6)*L4^2*x(10)+2*XXc*x(6)*L4^2*x(8)+2*XXc* ...
       x(8)^2*L3*L4+2*XXc*x(8)*L4^2*x(10)+2*XXc*x(6)*L3^2*x(8)+2*XXc* ...
       x(6)^2*L3*L4+M4*x(6)*L3*L4*x(8)*Lb1^2*cos(x(3))-MY4*L4*x(8)*x(7)* ...
       Lb1^2*sin(x(2)+x(4)-x(1)-x(3))+x(10)*MY1*L4*x(8)*Lb1^2*sin(x(1)+ ...
       x(3))+M4*x(6)^2*L3*L4*Lb1^2*cos(x(3))-MY3*x(10)*L3*x(7)*Lb1^2* ...
       sin(x(2)-x(1))-MY3*x(6)*L4*x(7)*Lb1^2*sin(x(2)-x(1)-x(3))-MY3* ...
       x(10)*L4*x(7)*Lb1^2*sin(x(2)-x(1)-x(3))+MY1*x(10)^2*L3*Lb1^2* ...
       sin(x(1))+MY4*x(10)^2*L3*Lb1^2*sin(x(4))-MY4*L4*x(10)^2*Lb1^2* ...
       sin(x(2)+x(4)-x(1)-x(3))+MZ4*L3*x(7)^2*Lb1^2*cos(x(4))-MY4*L4* ...
       x(8)*x(9)*Lb1^2*sin(x(2)+x(4)-x(1)-x(3))+MY4*L3*x(7)*x(9)*Lb1^2* ...
       sin(x(4))+MZ4*L3*x(7)*x(9)*Lb1^2*cos(x(4))-MZ3*L4*x(8)*x(7)* ...
       Lb1^2*cos(x(2)-x(1)-x(3))+MZ4*x(10)^2*L3*Lb1^2*cos(x(4))-MZ4* ...
       x(6)*L3*x(7)*Lb1^2*cos(x(2)+x(4)-x(1))-MY4*L4*x(10)*x(7)*Lb1^2* ...
       sin(x(2)+x(4)-x(1)-x(3))-MZ3*x(10)^2*L4*Lb1^2*cos(x(3))-MZ3* ...
       x(10)*L3*x(7)*Lb1^2*cos(x(2)-x(1))-MY4*L4*x(10)*x(9)*Lb1^2* ...
       sin(x(2)+x(4)-x(1)-x(3))-MY4*x(10)*L3*x(9)*Lb1^2*sin(x(2)+x(4)- ...
       x(1))-MY4*x(10)*L3*x(7)*Lb1^2*sin(x(2)+x(4)-x(1))-MY4*L4*x(6)* ...
       x(9)*Lb1^2*sin(x(2)+x(4)-x(1)-x(3))-MZ3*L4*x(8)*x(10)*Lb1^2* ...
       cos(x(3))-MY4*x(6)*L3*x(7)*Lb1^2*sin(x(2)+x(4)-x(1))-MY4*x(6)*L3* ...
       x(9)*Lb1^2*sin(x(2)+x(4)-x(1))-M4*L3*x(7)*L4*x(10)*Lb1^2* ...
       cos(x(2)-x(1)-x(3))+MY4*L3*x(7)^2*Lb1^2*sin(x(4))+M1*L4*x(8)* ...
       x(10)*L3*Lb1^2*cos(x(3))-MY4*L4*x(6)*x(7)*Lb1^2*sin(x(2)+x(4)- ...
       x(1)-x(3))+MY3*L4*x(8)*x(10)*Lb1^2*sin(x(3))-MY4*x(6)*L3*x(10)* ...
       Lb1^2*sin(x(2)+x(4)-x(1))-MY4*x(10)^2*L3*Lb1^2*sin(x(2)+x(4)- ...
       x(1))-MZ3*x(6)*L4*x(7)*Lb1^2*cos(x(2)-x(1)-x(3))+MY4*x(10)*L3* ...
       x(9)*Lb1^2*sin(x(4))-MY3*x(6)*L3*x(7)*Lb1^2*sin(x(2)-x(1))+M1* ...
       x(6)*L3*L4*x(8)*Lb1^2*cos(x(3))-MZ3*x(10)^2*L3*Lb1^2*cos(x(2)- ...
       x(1))+M4*x(10)^2*L3*L4*Lb1^2*cos(x(3))-MY3*x(6)*L4*x(10)*Lb1^2* ...
       sin(x(2)-x(1)-x(3))-MZ4*L4*x(8)*x(7)*Lb1^2*cos(x(2)+x(4)-x(1)- ...
       x(3))-x(10)*MZ1*x(6)*L4*Lb1^2*cos(x(1)+x(3))-MZ3*x(6)*L4*x(10)* ...
       Lb1^2*cos(x(2)-x(1)-x(3))-MZ3*x(10)*L4*x(7)*Lb1^2*cos(x(2)-x(1)- ...
       x(3))+4*M3*x(6)*L3*x(10)*L4*Lb1^2*cos(x(3))-MZ3*x(6)*L3*x(10)* ...
       Lb1^2*cos(x(2)-x(1))-MY4*L4*x(6)*x(10)*Lb1^2*sin(x(2)+x(4)-x(1)- ...
       x(3))-MZ3*x(6)*L3*x(7)*Lb1^2*cos(x(2)-x(1))+MZ4*x(10)*L3*x(9)* ...
       Lb1^2*cos(x(4))-MZ3*L4*x(8)*x(10)*Lb1^2*cos(x(2)-x(1)-x(3))-MY3* ...
       x(10)^2*L4*Lb1^2*sin(x(2)-x(1)-x(3))-MZ4*x(6)*L3*x(10)*Lb1^2* ...
       cos(x(2)+x(4)-x(1))-MZ3*x(10)^2*L4*Lb1^2*cos(x(2)-x(1)-x(3))+2* ...
       M1*x(6)*L3*x(10)*L4*Lb1^2*cos(x(3))+2*M3*x(10)^2*L3*L4*Lb1^2* ...
       cos(x(3))-MZ4*L4*x(6)*x(10)*Lb1^2*cos(x(2)+x(4)-x(1)-x(3))+2*M3* ...
       L4*x(8)*x(10)*L3*Lb1^2*cos(x(3))+2*MY3*x(6)*L4*x(10)*Lb1^2* ...
       sin(x(3))-2*MZ3*x(6)*L4*x(10)*Lb1^2*cos(x(3))-MZ3*L4*x(8)*x(6)* ...
       Lb1^2*cos(x(3))-M4*L4*x(8)*x(10)*L3*Lb1^2*cos(x(2)-x(1)-x(3))+2* ...
       M3*x(6)*L3*L4*x(8)*Lb1^2*cos(x(3))-M4*L4*x(6)*L3*x(7)*Lb1^2* ...
       cos(x(2)-x(1)-x(3))-x(10)*MZ1*x(6)*L3*Lb1^2*cos(x(1))-M4*x(10)^2* ...
       L3*L4*Lb1^2*cos(x(2)-x(1)-x(3))-M4*L4*x(6)*x(10)*L3*Lb1^2* ...
       cos(x(2)-x(1)-x(3))-M4*x(10)^2*L3^2*Lb1^2*cos(x(2)-x(1))-MZ3* ...
       x(6)^2*L4*Lb1^2*cos(x(3))+2*M3*x(6)^2*L3*L4*Lb1^2*cos(x(3))-MZ4* ...
       L4*x(6)*x(9)*Lb1^2*cos(x(2)+x(4)-x(1)-x(3))-x(10)*MZ1*L4*x(8)* ...
       Lb1^2*cos(x(1)+x(3))-MZ4*x(6)*L3*x(9)*Lb1^2*cos(x(2)+x(4)-x(1))- ...
       M4*L3*x(7)*L4*x(8)*Lb1^2*cos(x(2)-x(1)-x(3))-M4*L3^2*x(7)*x(10)* ...
       Lb1^2*cos(x(2)-x(1))-MZ1*x(10)^2*L3*Lb1^2*cos(x(1))-M4*x(6)*L3^2* ...
       x(7)*Lb1^2*cos(x(2)-x(1))-MZ1*x(10)^2*L4*Lb1^2*cos(x(1)+x(3))+2* ...
       MZ4*x(10)*L3*x(7)*Lb1^2*cos(x(4))-MZ4*x(10)*L3*x(7)*Lb1^2* ...
       cos(x(2)+x(4)-x(1))-MZ4*L4*x(10)^2*Lb1^2*cos(x(2)+x(4)-x(1)- ...
       x(3))-MZ4*L4*x(10)*x(9)*Lb1^2*cos(x(2)+x(4)-x(1)-x(3))-MZ4*L4* ...
       x(8)*x(10)*Lb1^2*cos(x(2)+x(4)-x(1)-x(3))-MZ4*L4*x(10)*x(7)* ...
       Lb1^2*cos(x(2)+x(4)-x(1)-x(3))+2*MY4*x(10)*L3*x(7)*Lb1^2* ...
       sin(x(4))+2*M4*L4*x(6)*x(10)*L3*Lb1^2*cos(x(3))-MZ4*L4*x(6)*x(7)* ...
       Lb1^2*cos(x(2)+x(4)-x(1)-x(3))-MZ4*x(10)^2*L3*Lb1^2*cos(x(2)+ ...
       x(4)-x(1))-MZ4*x(10)*L3*x(9)*Lb1^2*cos(x(2)+x(4)-x(1))+MY3*L4* ...
       x(8)*x(6)*Lb1^2*sin(x(3))+1/2*XX1*x(10)^2*Lb1^2+1/2*XX3*x(7)^2* ...
       Lb1^2+1/2*XX4*x(8)^2*Lb1^2+1/2*XX4*x(6)^2*Lb1^2+XXb*x(8)^2*L3^2+ ...
       2*M3*x(6)*L4^2*x(8)*Lb1^2+M1*x(6)*L4^2*x(8)*Lb1^2+M1*x(6)*L4^2* ...
       x(10)*Lb1^2+M1*L4^2*x(8)*x(10)*Lb1^2+M1*x(6)*L3^2*x(10)*Lb1^2+2* ...
       M3*L4^2*x(8)*x(10)*Lb1^2+XX4*x(10)^2*Lb1^2-2*MZ4*L4*x(6)*x(10)* ...
       Lb1^2+2*M3*x(6)*L3^2*x(10)*Lb1^2+2*M4*L4^2*x(8)*x(10)*Lb1^2+2*M4* ...
       L4^2*x(6)*x(10)*Lb1^2+2*M4*L4^2*x(6)*x(8)*Lb1^2-2*MZ4*L4*x(8)* ...
       x(10)*Lb1^2+2*M3*x(6)*L4^2*x(10)*Lb1^2+1/2*IA3*x(7)^2*Lb1^2+1/2* ...
       IA4*x(8)^2*Lb1^2-2*MZ4*L4*x(6)*x(8)*Lb1^2+XX4*x(7)*x(10)*Lb1^2+ ...
       XXb*x(8)^2*L4^2+1/2*IA3*x(6)^2*Lb1^2+XXb*x(6)^2*L4^2+XXb*x(6)^2* ...
       L3^2+XX4*x(7)*x(9)*Lb1^2+1/2*XX4*x(7)^2*Lb1^2+1/2*XX3*x(6)^2* ...
       Lb1^2-2*MZ3*x(6)*L3*x(10)*Lb1^2+M4*L3^2*x(7)*x(10)*Lb1^2+1/2*XX4* ...
       x(9)^2*Lb1^2+4*XXb*x(6)*L3*x(8)*L4+XXb*L4^2*x(10)^2+2*XXb*x(8)* ...
       L3*L4*x(10)+2*XXb*x(6)*L3*L4*x(10)+M4*x(6)*L3^2*x(10)*Lb1^2+1/2* ...
       IA4*x(9)^2*Lb1^2+XX3*x(10)^2*Lb1^2+4*XXc*x(6)*L3*x(8)*L4+XXc* ...
       L4^2*x(10)^2+XXc*x(6)^2*L3^2+XXc*x(6)^2*L4^2+XXc*x(8)^2*L4^2+XXc* ...
       x(8)^2*L3^2+2*XXc*x(8)*L3*L4*x(10)+2*XXc*x(6)*L3*L4*x(10)+XXw* ...
       x(6)^2*L4^2+XXw*x(8)^2*L4^2+XXw*x(8)^2*L3^2+2*XXw*x(8)^2*L3*L4+2* ...
       XXw*x(8)*L3*L4*x(10)+2*XXw*x(6)*L3*L4*x(10)+4*XXw*x(6)*L3*x(8)* ...
       L4+XXw*L4^2*x(10)^2+XXw*x(6)^2*L3^2+M1*x(6)^2*L3*L4*Lb1^2* ...
       cos(x(3))-M4*x(6)*L3^2*x(10)*Lb1^2*cos(x(2)-x(1))-MY3*x(10)^2*L3* ...
       Lb1^2*sin(x(2)-x(1))+x(10)*MY1*x(6)*L3*Lb1^2*sin(x(1))+MY1* ...
       x(10)^2*L4*Lb1^2*sin(x(1)+x(3))-MY3*L4*x(8)*x(10)*Lb1^2*sin(x(2)- ...
       x(1)-x(3))+x(10)*MY1*x(6)*L4*Lb1^2*sin(x(1)+x(3))+M1*x(10)^2*L3* ...
       L4*Lb1^2*cos(x(3))+MY3*x(6)^2*L4*Lb1^2*sin(x(3))-MY3*x(6)*L3* ...
       x(10)*Lb1^2*sin(x(2)-x(1))+MY3*x(10)^2*L4*Lb1^2*sin(x(3))-MY4*L4* ...
       x(8)*x(10)*Lb1^2*sin(x(2)+x(4)-x(1)-x(3)))/Lb1^2;
end
