function [vHh,vHv] = hip_vel(x)
% HIP_VEL
%   [VHH,VHV] = HIP_VEL(X)  

%Eric Westervelt
%04-Mar-2003 10:28:48

modelP;

[nn,mm] = size(x);

if nn ~= 1 & mm ~= 1
  vHh = (L3.*cos(x(:,1)+x(:,5))+L4.*cos(x(:,1)+x(:,3)+x(:,5))).*x(:,6)+L4.*cos(x(:,1)+x(:,3)+x(:,5)).*x(:,8)+(L3.*cos(x(:,1)+x(:,5))+L4.*cos(x(:,1)+x(:,3)+x(:,5))).*x(:,10);
  vHv = (L3.*sin(x(:,1)+x(:,5))+L4.*sin(x(:,1)+x(:,3)+x(:,5))).*x(:,6)+L4.*sin(x(:,1)+x(:,3)+x(:,5)).*x(:,8)+(L3.*sin(x(:,1)+x(:,5))+L4.*sin(x(:,1)+x(:,3)+x(:,5))).*x(:,10);
else
  vHh = (L3*cos(x(1)+x(5))+L4*cos(x(1)+x(3)+x(5)))*x(6)+L4*cos(x(1)+x(3)+x(5))*x(8)+(L3*cos(x(1)+x(5))+L4*cos(x(1)+x(3)+x(5)))*x(10);
  vHv = (L3*sin(x(1)+x(5))+L4*sin(x(1)+x(3)+x(5)))*x(6)+L4*sin(x(1)+x(3)+x(5))*x(8)+(L3*sin(x(1)+x(5))+L4*sin(x(1)+x(3)+x(5)))*x(10);
end
