function [PE] = potential_energy_red(x)
% POTENTIAL_ENERGY_RED
%   [PE] = POTENTIAL_ENERGY_RED(X)  

%Eric Westervelt
%04-Mar-2003 10:28:48

modelP;

[nn,mm] = size(x);

if nn ~= 1 & mm ~= 1
  PE = -g.*(2.*Lb1.*L3.*cos(x(:,1)+x(:,5)).*M3+2.*Lb1.*L4.*cos(x(:,1)+ ...
       x(:,3)+x(:,5)).*M3+2.*Lb1.*L4.*cos(x(:,1)+x(:,3)+x(:,5)).*M4+ ...
       Lb1.*L3.*cos(x(:,1)+x(:,5)).*M4-Lb1.*L3.*cos(x(:,2)+x(:,5)).*M4+ ...
       Lb1.*L3.*cos(x(:,1)+x(:,5)).*M1+Lb1.*L4.*cos(x(:,1)+x(:,3)+ ...
       x(:,5)).*M1+PEcc.*L3.*cos(x(:,1)+x(:,5))+PEcc.*L4.*cos(x(:,1)+ ...
       x(:,3)+x(:,5))-Lb1.*sin(x(:,2)+x(:,4)+x(:,5)).*MY4-Lb1.* ...
       sin(x(:,1)+x(:,5)).*MY3-Lb1.*sin(x(:,2)+x(:,5)).*MY3-Lb1.* ...
       cos(x(:,2)+x(:,5)).*MZ3-Lb1.*sin(x(:,1)+x(:,3)+x(:,5)).*MY4-Lb1.* ...
       cos(x(:,1)+x(:,5)).*MZ3-Lb1.*sin(x(:,5)).*MY1-Lb1.*cos(x(:,5)).* ...
       MZ1+PEwc.*L3.*cos(x(:,1)+x(:,5))+PEwc.*L4.*cos(x(:,1)+x(:,3)+ ...
       x(:,5))-Lb1.*cos(x(:,1)+x(:,3)+x(:,5)).*MZ4-Lb1.*cos(x(:,2)+ ...
       x(:,4)+x(:,5)).*MZ4+PEbc.*L3.*cos(x(:,1)+x(:,5))+PEbc.*L4.* ...
       cos(x(:,1)+x(:,3)+x(:,5))+PEcc.*Lt+PEwc.*Lt+PEbc.*Lt)./Lb1;
else
  PE = -g*(2*Lb1*L3*cos(x(1)+x(5))*M3+2*Lb1*L4*cos(x(1)+x(3)+x(5))*M3+2* ...
       Lb1*L4*cos(x(1)+x(3)+x(5))*M4+Lb1*L3*cos(x(1)+x(5))*M4-Lb1*L3* ...
       cos(x(2)+x(5))*M4+Lb1*L3*cos(x(1)+x(5))*M1+Lb1*L4*cos(x(1)+x(3)+ ...
       x(5))*M1+PEcc*L3*cos(x(1)+x(5))+PEcc*L4*cos(x(1)+x(3)+x(5))-Lb1* ...
       sin(x(2)+x(4)+x(5))*MY4-Lb1*sin(x(1)+x(5))*MY3-Lb1*sin(x(2)+ ...
       x(5))*MY3-Lb1*cos(x(2)+x(5))*MZ3-Lb1*sin(x(1)+x(3)+x(5))*MY4-Lb1* ...
       cos(x(1)+x(5))*MZ3-Lb1*sin(x(5))*MY1-Lb1*cos(x(5))*MZ1+PEwc*L3* ...
       cos(x(1)+x(5))+PEwc*L4*cos(x(1)+x(3)+x(5))-Lb1*cos(x(1)+x(3)+ ...
       x(5))*MZ4-Lb1*cos(x(2)+x(4)+x(5))*MZ4+PEbc*L3*cos(x(1)+x(5))+ ...
       PEbc*L4*cos(x(1)+x(3)+x(5))+PEcc*Lt+PEwc*Lt+PEbc*Lt)/Lb1;
end
