function [vh,vv] = stance_foot_vel(x)
% STANCE_FOOT_VEL
%   [VH,VV] = STANCE_FOOT_VEL(X)  

%Eric Westervelt
%04-Mar-2003 10:16:21

modelP;

q31L=x(1);q32L=x(2);q41L=x(3);q42L=x(4);q1L=x(5); ycm=x(6);zcm=x(7);
dq31L=x(8);dq32L=x(9);dq41L=x(10);dq42L=x(11);dq1L=x(12); dycm=x(13);dzcm=x(14);

vh = ((sin(q31L+q1L)*MY3+cos(q31L+q1L)*MZ3+L3*cos(q31L+q1L)*M4+ ...
    sin(q31L+q41L+q1L)*MY4+cos(q31L+q41L+q1L)*MZ4)/(M1+2*M3+2*M4)-L3* ...
    cos(q31L+q1L)-L4*cos(q31L+q41L+q1L))*dq31L+(sin(q32L+q1L)*MY3+ ...
    cos(q32L+q1L)*MZ3+L3*cos(q32L+q1L)*M4+sin(q32L+q42L+q1L)*MY4+ ...
    cos(q32L+q42L+q1L)*MZ4)/(M1+2*M3+2*M4)*dq32L+((sin(q31L+q41L+ ...
    q1L)*MY4+cos(q31L+q41L+q1L)*MZ4)/(M1+2*M3+2*M4)-L4*cos(q31L+q41L+ ...
    q1L))*dq41L+(sin(q32L+q42L+q1L)*MY4+cos(q32L+q42L+q1L)*MZ4)/(M1+ ...
    2*M3+2*M4)*dq42L+((sin(q1L)*MY1+cos(q1L)*MZ1+sin(q31L+q1L)*MY3+ ...
    cos(q31L+q1L)*MZ3+sin(q32L+q1L)*MY3+cos(q32L+q1L)*MZ3+L3* ...
    cos(q31L+q1L)*M4+sin(q31L+q41L+q1L)*MY4+cos(q31L+q41L+q1L)*MZ4+ ...
    L3*cos(q32L+q1L)*M4+sin(q32L+q42L+q1L)*MY4+cos(q32L+q42L+q1L)* ...
    MZ4)/(M1+2*M3+2*M4)-L3*cos(q31L+q1L)-L4*cos(q31L+q41L+q1L))*dq1L+ ...
    dycm;
vv = (-(cos(q31L+q1L)*MY3-sin(q31L+q1L)*MZ3-L3*sin(q31L+q1L)*M4+ ...
    cos(q31L+q41L+q1L)*MY4-sin(q31L+q41L+q1L)*MZ4)/(M1+2*M3+2*M4)-L3* ...
    sin(q31L+q1L)-L4*sin(q31L+q41L+q1L))*dq31L-(cos(q32L+q1L)*MY3- ...
    sin(q32L+q1L)*MZ3-L3*sin(q32L+q1L)*M4+cos(q32L+q42L+q1L)*MY4- ...
    sin(q32L+q42L+q1L)*MZ4)/(M1+2*M3+2*M4)*dq32L+(-(cos(q31L+q41L+ ...
    q1L)*MY4-sin(q31L+q41L+q1L)*MZ4)/(M1+2*M3+2*M4)-L4*sin(q31L+q41L+ ...
    q1L))*dq41L-(cos(q32L+q42L+q1L)*MY4-sin(q32L+q42L+q1L)*MZ4)/(M1+ ...
    2*M3+2*M4)*dq42L+(-(cos(q1L)*MY1-sin(q1L)*MZ1+cos(q31L+q1L)*MY3- ...
    sin(q31L+q1L)*MZ3+cos(q32L+q1L)*MY3-sin(q32L+q1L)*MZ3-L3* ...
    sin(q31L+q1L)*M4+cos(q31L+q41L+q1L)*MY4-sin(q31L+q41L+q1L)*MZ4- ...
    L3*sin(q32L+q1L)*M4+cos(q32L+q42L+q1L)*MY4-sin(q32L+q42L+q1L)* ...
    MZ4)/(M1+2*M3+2*M4)-L3*sin(q31L+q1L)-L4*sin(q31L+q41L+q1L))*dq1L- ...
    (-M1-2*M3-2*M4)/(M1+2*M3+2*M4)*dzcm;
