function [vh,vv] = swing_foot_velocity(x)
% SWING_FOOT_VELOCITY
%   [VH,VV] = SWING_FOOT_VELOCITY(X)  

%Eric Westervelt
%04-Mar-2003 10:28:48

modelP;

[nn,mm] = size(x);

if nn ~= 1 & mm ~= 1
  vh = (L3.*cos(x(:,1)+x(:,5))+L4.*cos(x(:,1)+x(:,3)+x(:,5))).*x(:,6)+(-L3.*cos(x(:,2)+x(:,5))-L4.*cos(x(:,2)+x(:,4)+x(:,5))).*x(:,7)+L4.*cos(x(:,1)+x(:,3)+x(:,5)).*x(:,8)-L4.*cos(x(:,2)+x(:,4)+x(:,5)).*x(:,9)+(L3.*cos(x(:,1)+x(:,5))+L4.*cos(x(:,1)+x(:,3)+x(:,5))-L3.*cos(x(:,2)+x(:,5))-L4.*cos(x(:,2)+x(:,4)+x(:,5))).*x(:,10);
  vv = (L3.*sin(x(:,1)+x(:,5))+L4.*sin(x(:,1)+x(:,3)+x(:,5))).*x(:,6)+(-L3.*sin(x(:,2)+x(:,5))-L4.*sin(x(:,2)+x(:,4)+x(:,5))).*x(:,7)+L4.*sin(x(:,1)+x(:,3)+x(:,5)).*x(:,8)-L4.*sin(x(:,2)+x(:,4)+x(:,5)).*x(:,9)+(L3.*sin(x(:,1)+x(:,5))+L4.*sin(x(:,1)+x(:,3)+x(:,5))-L3.*sin(x(:,2)+x(:,5))-L4.*sin(x(:,2)+x(:,4)+x(:,5))).*x(:,10);
else
  vh = (L3*cos(x(1)+x(5))+L4*cos(x(1)+x(3)+x(5)))*x(6)+(-L3*cos(x(2)+x(5))-L4*cos(x(2)+x(4)+x(5)))*x(7)+L4*cos(x(1)+x(3)+x(5))*x(8)-L4*cos(x(2)+x(4)+x(5))*x(9)+(L3*cos(x(1)+x(5))+L4*cos(x(1)+x(3)+x(5))-L3*cos(x(2)+x(5))-L4*cos(x(2)+x(4)+x(5)))*x(10);
  vv = (L3*sin(x(1)+x(5))+L4*sin(x(1)+x(3)+x(5)))*x(6)+(-L3*sin(x(2)+x(5))-L4*sin(x(2)+x(4)+x(5)))*x(7)+L4*sin(x(1)+x(3)+x(5))*x(8)-L4*sin(x(2)+x(4)+x(5))*x(9)+(L3*sin(x(1)+x(5))+L4*sin(x(1)+x(3)+x(5))-L3*sin(x(2)+x(5))-L4*sin(x(2)+x(4)+x(5)))*x(10);
end