function print_modelParameters(fid)
%PRINT_MODELPARAMETERS

%Copyright (c) 2003 by Eric Westervelt and Jessy Grizzle.  This code
%may be freely used for noncommercial ends. If use of this code in
%part or in whole results in publication, proper citation must be
%included in that publication.  This code comes with no guarantees or
%support.

%Eric R. Westervelt & Jessy W. Grizzle
%11/30/03 - updated for the CDC

fprintf(fid,'modparams=modelParameters;\n');
fprintf(fid,'g=modparams.g;\n');
fprintf(fid,'L1=modparams.L1;   L3=modparams.L3;   L4=modparams.L4;\n');
fprintf(fid,'M1=modparams.M1;   M3=modparams.M3;   M4=modparams.M4;\n');
fprintf(fid,'MY1=modparams.MY1; MY3=modparams.MY3; MY4=modparams.MY4;\n');
fprintf(fid,'MZ1=modparams.MZ1; MZ3=modparams.MZ3; MZ4=modparams.MZ4;\n');
fprintf(fid,'XX1=modparams.XX1; XX3=modparams.XX3; XX4=modparams.XX4;\n');
fprintf(fid,'IA3=modparams.IA3; IA4=modparams.IA4;\n');
fprintf(fid,['FV1=modparams.FV1; FV2=modparams.FV2; FV3=modparams.FV3;' ...
	     ' FV4=modparams.FV4;\n']);
fprintf(fid,['FS1=modparams.FS1; FS2=modparams.FS2; FS3=modparams.FS3;' ...
	     ' FS4=modparams.FS4;\n\n']);

fprintf(fid,'Lb1=modparams.Lb1; Lt=modparams.Lt;\n');
fprintf(fid,'XXb=modparams.XXb; XXc=modparams.XXc; XXw=modparams.XXw;\n');
fprintf(fid,'PEbc=modparams.PEbc; PEcc=modparams.PEcc; PEwc=modparams.PEwc;\n');
